commit:     56af2f4bcc8cc32a44cf15c626ddc4bf0ed3abb9
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 30 23:08:43 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Jul 31 00:02:55 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56af2f4b

app-emacs/vertico: bump to 1.9

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/vertico/Manifest           |  1 +
 app-emacs/vertico/vertico-1.9.ebuild | 39 ++++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/app-emacs/vertico/Manifest b/app-emacs/vertico/Manifest
index c3887fb1eb57..f574296438f2 100644
--- a/app-emacs/vertico/Manifest
+++ b/app-emacs/vertico/Manifest
@@ -1,2 +1,3 @@
 DIST vertico-1.7.tar.gz 47534 BLAKE2B 
fa6caf0873b41402168e7259fd59119f7621437b381c44d251d36fd348a1616ab64e6fd309aeee7526a6699fa089255ffb4be56e814fd37b2537361c641762c0
 SHA512 
7dd2952bfc8fdf2f8609b9e95c172f32e3e7cf2388a058984b9c70940ab46cd5a945e701ee757cf64c4258e5bc92ae313d2fbbddc40e5d8df40908fedfea1e77
 DIST vertico-1.8.tar.gz 47935 BLAKE2B 
38ab272d0afb87ee84a3f873fa51f036a6752ad64e06e2bd0d9c28901f3bf93192247afef5fb26e2caccf6cd3ecf043df4697172c1c66da4fb478fd4edaaaa4a
 SHA512 
a5285da018937750a3012ad0b446f433e193258a05ece211d1341d2364a0f855276887bf326d81491752db8d620e3d7ac92d5c55a6347a16cc5f74c388891e24
+DIST vertico-1.9.tar.gz 48052 BLAKE2B 
21642d1449a2628e0a42e79ed7d35bdcc5a186a72ee69339a9dabdcd25ebff0352e6bb80714e39af804a19dc5d1623b6207a046078d17f173057a24a9778379c
 SHA512 
f56d42412a827c7516d530bc2096f804fb264f97bd0a62ef9ecec8e8975045f7af646f01720dfa1e6b4d846e531dc726e9609e6e73c0ea7082652b5676ee2db7

diff --git a/app-emacs/vertico/vertico-1.9.ebuild 
b/app-emacs/vertico/vertico-1.9.ebuild
new file mode 100644
index 000000000000..edab4e05ba9a
--- /dev/null
+++ b/app-emacs/vertico/vertico-1.9.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=27.1
+
+inherit elisp
+
+DESCRIPTION="Vertical interactive completion"
+HOMEPAGE="https://github.com/minad/vertico/";
+
+if [[ ${PV} == *9999* ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/minad/${PN}.git";
+else
+       SRC_URI="https://github.com/minad/${PN}/archive/${PV}.tar.gz
+               -> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND=">=app-emacs/compat-29.1.4.0"
+BDEPEND="${RDEPEND}"
+
+DOCS=( CHANGELOG.org README.org )
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+       default
+       mv extensions/*.el ./ || die
+}
+
+src_compile() {
+       elisp_src_compile
+       elisp-make-autoload-file
+}

Reply via email to